Zum Hauptinhalt springen

Download von TheFlex

Download für Android

Für Android sollte die primäre Donwload-Quelle der Play Store sein. Hier ist immer die aktuelleste Version verfügbar, die auch aus Sicherheitsgründen, immer verwendet werden sollte.

Da jedoch der Play Store nicht immer verfügbar ist oder im MDM nicht integriert werden kann, besteht die Möglichkeit auch eine APK herunterzuladen. In diesem Fall erhalten Sie von uns einen Download-Link.

Download für iOS

Für iOS ist TheFlex lediglich im App Store verfügbar.

Mindestanforderung an Betriebssysteme

BetriebssystemMindestanforderung
iOS13
AndroidLollipop 5.1 (API Level 22) + mindestens 2 GB RAM und 4 GB Speicherplatz

Mindestanforderungen an TheFlex

Aus Sicherheits- und Kompatibilitätsgründen sollte immer eine der neusten TheFlex Versionen installiert werden. Im Gegensatz zu Windows CE gibt es in den Android- und iOS Betriebssystemen sehr oft Updates, auch teilweise mit Breaking Changes, wodurch sich Schnittstellen oder Berechtigungen ändern. Aus diesem Grund wird TheFlex auch im Abo vertrieben, damit dafür gesorgt ist, dass permanent und zeitnah sowohl die Änderungen an Android und iOS, sowie Anpassungen an angebundener Hardware, in TheFlex integriert werden.

Zusätzlich ist es wichtig die Webview auf Android beziehungsweise Safari auf iOS auf dem neusten Stand zu halten. Der Grund dafür ist, dass der integrierte Browser über diese Apps auf dem neusten Stand gehalten wird und Sicherheitsupdates bekommt. Der Vorteil daran ist, dass dadurch alle kritischen Sicherheitsupdates weltweit und so schnell wie möglich von Apple und Google erstellt und verbreitet werden. So muss bei kritischen Sicherheitslücken am Browser nicht TheFlex sondern Safari oder die Webview geupdatet werden.

Für Android gibt es je nach Version unterschiedliche Optionen an die Webview zu gelangen. Dies liegt daran, dass Google sich mehrmals umentschieden hat, wie es die Webview verteilen möchte.

Android VersionUpdate der Webview
5.1 bis 6.01 (API Level 22 bis 23)Über die Android System Webview
7.0 bis 9 (API Level 24 bis 28)Über Google Chrome
ab 10 (API Level 29)Über die Android System Webview

Falls Sie hierzu Fragen haben, unterstützen wir Sie gerne. Im Idealfall können Sie uns für dieses Gespräch schon Ihre Android-Version nennen.